# $Revision: 1.40 $, $Date: 2008-03-27 19:06:41 $
#
# Conditional build:
%bcond_without	audacious	# without audacious plugin
%bcond_without	xmms		# without xmms plugin
#
Summary:	Plugin for Crossfading and Continuous Output
Summary(pl.UTF-8):	Wtyczka wyjściowa zapewniająca dźwięk bez przerw
Name:		xmms-crossfade
Version:	0.3.14
Release:	1
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://www.eisenlohr.org/xmms-crossfade/%{name}-%{version}.tar.gz
# Source0-md5:	026c52544c7f3193d384288c9f8296aa
Patch0:		%{name}-only-libs.patch
URL:		http://www.eisenlohr.org/xmms-crossfade/
%{?with_audacious:BuildRequires:	audacious-devel >= 1.4.2}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.125
%{?with_xmms:BuildRequires:	xmms-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xmms-crossfade features:
- Crossfading: Crossfade between two songs, i.e. fade out the end of
  the current song while fading in the beginning of the next for a
  smooth transition. Length and volume of the fadings can be adjusted
  separately for fading in and out.
- Fadein/Fadeout: Smoothly fadein/fadeout at the beginning or end of
  playback.
- Continuous output: Keeps the audio device opened when switching from
  one song to the next. When used with the Gap-Killer, this allows for
  seamless playback of whole albums without any audible interruption
  between the tracks.
- Gap-Killer: Removes the short gaps of silence at the beginning
  and/or end of MP3 files. These gaps are caused by some MP3-encoders.
- Automatic detection of live albums: Automatically detects live
  albums and pre-mixed tracks which already are crossfaded. For those
  tracks, crossfading can be disabled automatically.
- High quality: XMMS-crossfade can take special care to avoid the
  clicks some soundcards produce when suddenly being stopped. Also, it
  can improve quality when seeking within a song.
- Secondary effect plugin: XMMS-crossfade allows you to select a
  second effect plugin. This is useful for example when using the
  volume normalizing plugin together with the icecast plugin.

%description -l pl.UTF-8
Możliwości xmms-crossfade to:
- płynne przechodzenie między dwoma utworami
- płynne wchodzenie i wyciszanie na początku i końcu odtwarzania
- ciągłe odtwarzanie dźwięku, także przy przechodzeniu między
  utworami; w połączeniu z Gap-Killerem daje to możliwość odtworzenia
  całego albumu bez żadnej słyszalnej przerwy
- Gap-Killer - usuwający fragmenty ciszy na początku i końcu plików
  MP3 (spowodowane przez niektóre kodery)
- automatyczne wykrywanie albumów koncertowych i pre-miksowanych, na
  których ścieżki już mają płynne przejścia - dla nich dodawanie
  płynnych przejść może być automatycznie wyłączane
- wysoka jakość - XMMS-crossfade stara się unikać trzasków
  występujących na niektórych kartach dźwiękowych przy zatrzymywaniu
  odtwarzania
- wtyczka dodatkowego efektu: XMMS-crossfade pozwala wybrać dodatkową
  wtyczkę, np. do normalizacji wraz z wtyczką icecast.

%package -n xmms-output-crossfade
Summary:	XMMS Plugin for Crossfading and Continuous Output
Summary(pl.UTF-8):	Wtyczka wyjściowa dla XMMS-a zapewniająca dźwięk bez przerw
Group:		X11/Applications/Sound
Requires:	xmms
Provides:	xmms-output-plugin

%description -n xmms-output-crossfade
xmms-output-crossfade features:
- Crossfading: Crossfade between two songs, i.e. fade out the end of
  the current song while fading in the beginning of the next for a
  smooth transition. Length and volume of the fadings can be adjusted
  separately for fading in and out.
- Fadein/Fadeout: Smoothly fadein/fadeout at the beginning or end of
  playback.
- Continuous output: Keeps the audio device opened when switching from
  one song to the next. When used with the Gap-Killer, this allows for
  seamless playback of whole albums without any audible interruption
  between the tracks.
- Gap-Killer: Removes the short gaps of silence at the beginning
  and/or end of MP3 files. These gaps are caused by some MP3-encoders.
- Automatic detection of live albums: Automatically detects live
  albums and pre-mixed tracks which already are crossfaded. For those
  tracks, crossfading can be disabled automatically.
- High quality: XMMS-crossfade can take special care to avoid the
  clicks some soundcards produce when suddenly being stopped. Also, it
  can improve quality when seeking within a song.
- Secondary effect plugin: XMMS-crossfade allows you to select a
  second effect plugin. This is useful for example when using the
  volume normalizing plugin together with the icecast plugin.

%description -n xmms-output-crossfade -l pl.UTF-8
Możliwości xmms-output-crossfade to:
- płynne przechodzenie między dwoma utworami
- płynne wchodzenie i wyciszanie na początku i końcu odtwarzania
- ciągłe odtwarzanie dźwięku, także przy przechodzeniu między
  utworami; w połączeniu z Gap-Killerem daje to możliwość odtworzenia
  całego albumu bez żadnej słyszalnej przerwy
- Gap-Killer - usuwający fragmenty ciszy na początku i końcu plików
  MP3 (spowodowane przez niektóre kodery)
- automatyczne wykrywanie albumów koncertowych i pre-miksowanych, na
  których ścieżki już mają płynne przejścia - dla nich dodawanie
  płynnych przejść może być automatycznie wyłączane
- wysoka jakość - XMMS-crossfade stara się unikać trzasków
  występujących na niektórych kartach dźwiękowych przy zatrzymywaniu
  odtwarzania
- wtyczka dodatkowego efektu: XMMS-crossfade pozwala wybrać dodatkową
  wtyczkę, np. do normalizacji wraz z wtyczką icecast.

%package -n audacious-output-crossfade
Summary:	Audacious Plugin for Crossfading and Continuous Output
Summary(pl.UTF-8):	Wtyczka wyjściowa dla Audacious zapewniająca dźwięk bez przerw
Group:		X11/Applications/Sound
Requires:	audacious
Provides:	audacious-output-plugin

%description -n audacious-output-crossfade
audacious-output-crossfade features:
- Crossfading: Crossfade between two songs, i.e. fade out the end of
  the current song while fading in the beginning of the next for a
  smooth transition. Length and volume of the fadings can be adjusted
  separately for fading in and out.
- Fadein/Fadeout: Smoothly fadein/fadeout at the beginning or end of
  playback.
- Continuous output: Keeps the audio device opened when switching from
  one song to the next. When used with the Gap-Killer, this allows for
  seamless playback of whole albums without any audible interruption
  between the tracks.
- Gap-Killer: Removes the short gaps of silence at the beginning
  and/or end of MP3 files. These gaps are caused by some MP3-encoders.
- Automatic detection of live albums: Automatically detects live
  albums and pre-mixed tracks which already are crossfaded. For those
  tracks, crossfading can be disabled automatically.
- High quality: XMMS-crossfade can take special care to avoid the
  clicks some soundcards produce when suddenly being stopped. Also, it
  can improve quality when seeking within a song.
- Secondary effect plugin: XMMS-crossfade allows you to select a
  second effect plugin. This is useful for example when using the
  volume normalizing plugin together with the icecast plugin.

%description -n audacious-output-crossfade -l pl.UTF-8
Możliwości audacious-output-crossfade to:
- płynne przechodzenie między dwoma utworami
- płynne wchodzenie i wyciszanie na początku i końcu odtwarzania
- ciągłe odtwarzanie dźwięku, także przy przechodzeniu między
  utworami; w połączeniu z Gap-Killerem daje to możliwość odtworzenia
  całego albumu bez żadnej słyszalnej przerwy
- Gap-Killer - usuwający fragmenty ciszy na początku i końcu plików
  MP3 (spowodowane przez niektóre kodery)
- automatyczne wykrywanie albumów koncertowych i pre-miksowanych, na
  których ścieżki już mają płynne przejścia - dla nich dodawanie
  płynnych przejść może być automatycznie wyłączane
- wysoka jakość - XMMS-crossfade stara się unikać trzasków
  występujących na niektórych kartach dźwiękowych przy zatrzymywaniu
  odtwarzania
- wtyczka dodatkowego efektu: XMMS-crossfade pozwala wybrać dodatkową
  wtyczkę, np. do normalizacji wraz z wtyczką icecast.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%if %{with xmms}
mkdir -p xmms
cd xmms
../%configure \
	--enable-player=xmms
%{__make}
cd ..
%endif

%if %{with audacious}
mkdir -p audacious
cd audacious
../%configure \
	--enable-player=audacious
%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with xmms}
%{__make} -C xmms install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%if %{with audacious}
%{__make} -C audacious install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with xmms}
%files -n xmms-output-crossfade
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%attr(755,root,root) %{_libdir}/xmms
%endif

%if %{with audacious}
%files -n audacious-output-crossfade
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%attr(755,root,root) %{_libdir}/audacious/Output/libcrossfade.so
%attr(755,root,root) %{_libdir}/audacious/Output/libcrossfade.la
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-crossfade.spec,v $
Revision 1.40  2008-03-27 19:06:41  arvenil
- up to 0.3.14
- no need for providing %{_libdir}/audacious{,/Output} dirs

Revision 1.39  2007-12-26 02:23:21  qboosh
- GPL v2+

Revision 1.38  2007-12-26 02:22:55  qboosh
- updated only-libs patch to avoid BRing plugins trees
- more deps (pkgconfig, libsamplerate-devel)
- no need to copy sources, just use separate builddirs

Revision 1.37  2007-11-23 21:56:37  wolf
- fixed audacious files

Revision 1.36  2007-11-23 21:31:06  wolf
- 0.3.13
- add audacious support

Revision 1.35  2007-11-23 20:06:33  wolf
- 0.3.11
- renamed from xmms-output-crossfade to xmms-crossfade, xmms-output-crossfade\
  still exists with xmms plugin inside

Revision 1.34  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.32  2005/01/14 18:29:04  qboosh
- unified

Revision 1.31  2004/10/30 10:55:53  paladine
- unification, capitalization, better desc

Revision 1.30  2004/10/28 10:15:41  paladine
- "MP3" unification

Revision 1.29  2004/09/24 18:54:47  paladine
- updated to 0.3.8

Revision 1.28  2004/09/18 13:45:07  wolf
- reverted to 0.3.5; 0.3.6 is heavily broken (30% system time usage)

Revision 1.25  2004/08/09 16:47:08  pluto
- updated to 0.3.5 (thx. to Piotr Budny).

Revision 1.24  2003/11/11 01:12:30  ankry
- caps unification

Revision 1.23  2003/11/10 22:50:16  qboosh
- typo, unification

Revision 1.22  2003/10/08 21:29:45  wolf
- 0.3.4

Revision 1.21  2003/08/05 10:52:36  grzegol
- added xmms patch (don't require xmms while building)

Revision 1.20  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.19  2003/06/23 14:08:02  ankry
- updated URLs, md5

Revision 1.18  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/21 12:46:25  migo
- up to 0.3.2

Revision 1.15  2003/01/31 22:22:32  migo
- fixes/typos in summaries/descriptions

Revision 1.14  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.13  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.12  2002/10/01 15:30:40  kloczek
- release 4: use new %doc.

Revision 1.11  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:15:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/05 16:10:16  blues
- release 3
- added ac/am stuff regeneration (BR added)

Revision 1.5  2002/01/04 12:41:02  wolf
- provides xmms-output-plugin
- release 2

Revision 1.4  2001/12/12 09:31:48  wolf
- fixed typo

Revision 1.3  2001/12/11 14:34:41  qboosh
- pl description, cosmetics

Revision 1.2  2001/12/11 13:28:51  ankry
- fixed Source0 name

Revision 1.1  2001/12/11 10:47:08  wolf
Initial release
